%global wxversion 3.2
%global wxincdir %{_includedir}/wx-%{wxversion}

%define major   0
%define libname %mklibname wx_gtk3u_wxsqlite3_ %{wxversion} %{major}
%define devname %mklibname wx_gtk3u_wxsqlite3_ %{wxversion} -d

Name:           wxsqlite3
Version:        4.10.2
Release:        %mkrel 1
Summary:        C++ wrapper around the SQLite 3.x database
Group:          System/Libraries
License:        LGPLv3+ with WxWindows-exception-3.1
URL:            https://utelle.github.io/wxsqlite3
Source0:        https://github.com/utelle/wxsqlite3/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:         wxsqlite3-4.6.1-linking.patch

BuildRequires:  dos2unix
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  wxgtk%{wxversion}-devel

%description
wxSQLite3 is a C++ wrapper around the public domain SQLite 3.x database and
is specifically designed for use in programs based on the wxWidgets %{wxversion} library.

wxSQLite3 does not try to hide the underlying database, in contrary almost
all special features of the recent SQLite3 versions are supported, like
for example the creation of user defined scalar or aggregate functions.

%package -n     %{libname}
Summary:        C++ wrapper around the SQLite 3.x database
Group:          System/Libraries

%description -n %{libname}
wxSQLite3 is a C++ wrapper around the public domain SQLite 3.x database and
is specifically designed for use in programs based on the wxWidgets %{wxversion} library.

wxSQLite3 does not try to hide the underlying database, in contrary almost
all special features of the recent SQLite3 versions are supported, like
for example the creation of user defined scalar or aggregate functions.

%package -n     %{devname}
Summary:        Development files for %{name}
Group:          Development/C++
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{devname}
This package contains libraries and header files for developing
applications that use %{name}.

%prep
%autosetup -p1

dos2unix readme.md

%build
autoreconf -vfi
%configure --disable-static
%make_build

%install
%make_install includewxdir=%{wxincdir}/wx

%files -n %{libname}
%doc LICENCE.txt WxWindows-exception-3.1.txt readme.md
%{_libdir}/libwx_gtk?u_%{name}-%{wxversion}.so.%{major}{,.*}

%files -n %{devname}
%{wxincdir}/wx/%{name}*.h
%{_libdir}/libwx_gtk?u_%{name}-%{wxversion}.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Thu Jan 23 2025 daviddavid <daviddavid> 4.10.2-1.mga10
+ Revision: 2140661
- new version: 4.10.2

* Fri Nov 22 2024 daviddavid <daviddavid> 4.9.12-1.mga10
+ Revision: 2118558
- new version: 4.9.12

* Sun Jun 16 2024 daviddavid <daviddavid> 4.9.11-1.mga10
+ Revision: 2074499
- new version: 4.9.11

* Wed Apr 24 2024 daviddavid <daviddavid> 4.9.10-1.mga10
+ Revision: 2060838
- new version: 4.9.10

* Sat Nov 18 2023 wally <wally> 4.9.7-1.mga10
+ Revision: 2007461
- new version 4.9.7
- update license
- drop old obsoletes

* Tue Oct 31 2023 daviddavid <daviddavid> 4.9.6-1.mga10
+ Revision: 2002992
- new version: 4.9.6

* Thu Sep 21 2023 daviddavid <daviddavid> 4.9.5-1.mga10
+ Revision: 1989045
- new version: 4.9.5

* Fri Sep 01 2023 daviddavid <daviddavid> 4.9.4-1.mga10
+ Revision: 1983280
- new version: 4.9.4

* Thu Dec 29 2022 daviddavid <daviddavid> 4.9.1-1.mga9
+ Revision: 1927849
- new version: 4.9.1

* Mon Nov 14 2022 daviddavid <daviddavid> 4.9.0-1.mga9
+ Revision: 1907334
- new version: 4.9.0

* Thu Aug 11 2022 neoclust <neoclust> 4.8.2-1.mga9
+ Revision: 1877112
- New version 4.8.2

* Fri Jul 15 2022 wally <wally> 4.7.5-7.mga9
+ Revision: 1868964
- rebuild for wxgtk 3.2.0

* Sun Jun 12 2022 wally <wally> 4.7.5-6.mga9
+ Revision: 1864115
- rebuild for wxgtk 3.1.7

* Fri Apr 15 2022 wally <wally> 4.7.5-5.mga9
+ Revision: 1850023
- rebuild for wxgtk 3.1.6

* Sun Apr 03 2022 umeabot <umeabot> 4.7.5-4.mga9
+ Revision: 1842855
- Mageia 9 Mass Rebuild

* Sat Jan 15 2022 wally <wally> 4.7.5-3.mga9
+ Revision: 1768485
- rebuild for wxgtk 3.1.5 with working wxSizer::SetSizeHints()

* Sat Jan 01 2022 wally <wally> 4.7.5-2.mga9
+ Revision: 1765710
- rebuild for wxgtk 3.1.5 to resolve 'Symbol X has different size in shared object, consider re-linking' error

* Fri Dec 10 2021 wally <wally> 4.7.5-1.mga9
+ Revision: 1761364
- new version 4.7.5

* Sun Apr 18 2021 daviddavid <daviddavid> 4.6.9-1.mga9
+ Revision: 1716460
- new version: 4.6.9

* Sat Jan 02 2021 wally <wally> 4.6.4-1.mga8
+ Revision: 1668263
- new version 4.6.4

* Sat Jan 02 2021 wally <wally> 4.6.3-3.mga8
+ Revision: 1668258
- fix lib and devel pkg names

* Fri Jan 01 2021 wally <wally> 4.6.3-2.mga8
+ Revision: 1667736
- rebuild for wxgtk pre 3.1.5 snapshot

* Tue Dec 15 2020 daviddavid <daviddavid> 4.6.3-1.mga8
+ Revision: 1657657
- new version: 4.6.3

* Thu Oct 22 2020 daviddavid <daviddavid> 4.6.1-1.mga8
+ Revision: 1638287
- new version: 4.6.1

* Sun Aug 16 2020 wally <wally> 4.5.1-3.mga8
+ Revision: 1614377
- rebuild for new wxgtk 3.1.4

* Thu Feb 20 2020 umeabot <umeabot> 4.5.1-2.mga8
+ Revision: 1546951
- Mageia 8 Mass Rebuild

* Wed Feb 05 2020 daviddavid <daviddavid> 4.5.1-1.mga8
+ Revision: 1487280
- new version: 4.5.1
- remove deprecated %%configure2_5x macro

* Thu Nov 21 2019 daviddavid <daviddavid> 4.4.8-1.mga8
+ Revision: 1461940
- new version: 4.4.8

* Tue Nov 12 2019 wally <wally> 4.4.3-4.mga8
+ Revision: 1459498
- rebuild for wxgtk 3.1.3

* Sat Jul 20 2019 wally <wally> 4.4.3-3.mga8
+ Revision: 1423076
- rebuild for aarch64

* Mon Jul 08 2019 wally <wally> 4.4.3-2.mga8
+ Revision: 1419540
- rebuild for wxgtk 3.1.2 with 2.8 compatibility

* Sun Jun 30 2019 wally <wally> 4.4.3-1.mga8
+ Revision: 1416320
- new version 4.4.3
- switch to gtk3 enabled wxgtk 3.1.2

* Sat Apr 20 2019 daviddavid <daviddavid> 4.4.2-1.mga7
+ Revision: 1394036
- new version: 4.4.2

* Mon Mar 11 2019 daviddavid <daviddavid> 3.4.1-6.mga7
+ Revision: 1374229
- switch to sqlite3

* Sun Sep 23 2018 umeabot <umeabot> 3.4.1-5.mga7
+ Revision: 1301730
- Mageia 7 Mass Rebuild

* Wed Aug 01 2018 wally <wally> 3.4.1-4.mga7
+ Revision: 1246696
- fix build on aarch64

* Sat Jun 03 2017 akien <akien> 3.4.1-3.mga6
+ Revision: 1106134
- Rebuild for wxgtk 3.0.3.1

* Sun Feb 12 2017 cjw <cjw> 3.4.1-2.mga6
+ Revision: 1085825
- fix library name in wxsqlite3.pc

* Sun Jan 01 2017 akien <akien> 3.4.1-1.mga6
+ Revision: 1079310
- Fix weird upstream buildsystem
- Version 3.4.1

* Mon Jul 18 2016 neoclust <neoclust> 3.3.1-3.mga6
+ Revision: 1042479
- Rebuild to have correct file list on armv5

* Thu Jun 02 2016 daviddavid <daviddavid> 3.3.1-2.mga6
+ Revision: 1019870
- rebuild for wxgtk3.0 built with GTK2

* Thu May 19 2016 akien <akien> 3.3.1-1.mga6
+ Revision: 1016956
- Version 3.3.1

* Wed Mar 16 2016 daviddavid <daviddavid> 3.3.0-2.mga6
+ Revision: 991942
- rename and rediff unappliable fix-soname patch (since fixed autopatch)

* Mon Jan 04 2016 akien <akien> 3.3.0-1.mga6
+ Revision: 919370
- Version 3.3.0

* Sun Oct 04 2015 akien <akien> 3.2.1-1.mga6
+ Revision: 886168
- imported package wxsqlite3

